Name:           perl-Mock-MonkeyPatch
Version:        1.02
Release:        9%{?dist}
Summary:        Monkey patching with test mocking in mind
License:        GPL+ or Artistic

URL:            https://metacpan.org/dist/Mock-MonkeyPatch
Source0:        https://cpan.metacpan.org/authors/id/J/JB/JBERGER/Mock-MonkeyPatch-%{version}.tar.gz

BuildArch:      noarch
# build requirements
BuildRequires:  coreutils
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Module::Build::Tiny) >= 0.034
BuildRequires:  perl(:VERSION) >= 5.6
# runtime requirements
BuildRequires:  perl(Carp)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Sub::Util) >= 1.40
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# test requirements
BuildRequires:  perl(Test::More) >= 0.96

%description
Mock::MonkeyPatch injects a subroutine in the place of an existing one.
It returns an object by which you can revisit the manner in which the
mocked subroutine was called. Further when the object goes out of
scope (or when the "restore" method is called) the original subroutine
is replaced.

%prep
%setup -q -n Mock-MonkeyPatch-%{version}

%build
/usr/bin/perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/Mock*
%{_mandir}/man3/Mock*

%changelog
* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.02-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.02-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.02-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.02-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.02-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 01 2022 Jitka Plesnikova <jplesnik@redhat.com> - 1.02-4
- Perl 5.36 rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.02-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Sep 02 2021 Emmanuel Seyman <emmanuel@seyman.fr> - 1.02-2
- Take into account review feedback (#2000555)

* Sun Jul 11 2021 Emmanuel Seyman <emmanuel@seyman.fr> - 1.02-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
